TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsNegativeSemiDefinite ( elt-alg^mat X ) -> elt-alg^boo

### Description

<shortdoc> True iff the symmetric matrix X over Z or Q is negative semi-definite. </shortdoc>

### Examples

x_ma := MatrixAlgebra(Q,3);; x_one := One(x_ma); IsNegativeSemiDefinite(x_one); IsNegativeSemiDefinite(-x_one);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack